apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
- ../../demo23-cluster
namespace: tno
configMapGenerator:
  - name: catalog-configuration
    literals:
      - LOG_LEVEL=DEBUG
      - ENVIRONMENT=DEV
      - REDIS_PUB_SUB_HOST=redis://redis-server.aster-x.svc.cluster.local:6379/1
      - REDIS_HOST=redis://redis-server:6379/0
      - PARTICIPANT_NAME=tno
      - PARENT_DOMAIN=provider.demo23.gxfs.fr
      - PARTICIPANT_AGENT_HOST=participant-agent
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "catalogue-api.tno.demo23.gxfs.fr"
    target:
      kind: Ingress
      name: catalogue-api
  - patch: |-
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["catalogue-api.tno.demo23.gxfs.fr"]
    target:
      kind: Ingress
      name: catalogue-api
  - patch: |-
      - op: replace
        path: "/spec/tls/0/secretName"
        value: "ingress-catalogue-api-tls"
    target:
      kind: Ingress
      name: catalogue-api
  - patch: |-
      - op: replace
        path: /metadata/name
        value: "tno-redis-pvc"
    target:
      kind: PersistentVolumeClaim
      name: redis-pvc
